Click or drag to resize
ObjectTableAddBrep Method (Brep, ObjectAttributes, HistoryRecord, Boolean, Boolean)

[Missing <summary> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddBrep(Rhino.Geometry.Brep,Rhino.DocObjects.ObjectAttributes,Rhino.DocObjects.HistoryRecord,System.Boolean,System.Boolean)"]

Namespace: Rhino.DocObjects.Tables
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public Guid AddBrep(
	Brep brep,
	ObjectAttributes attributes,
	HistoryRecord history,
	bool reference,
	bool splitKinkySurfaces
)

Parameters

brep
Type: Rhino.GeometryBrep

[Missing <param name="brep"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddBrep(Rhino.Geometry.Brep,Rhino.DocObjects.ObjectAttributes,Rhino.DocObjects.HistoryRecord,System.Boolean,System.Boolean)"]

attributes
Type: Rhino.DocObjectsObjectAttributes

[Missing <param name="attributes"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddBrep(Rhino.Geometry.Brep,Rhino.DocObjects.ObjectAttributes,Rhino.DocObjects.HistoryRecord,System.Boolean,System.Boolean)"]

history
Type: Rhino.DocObjectsHistoryRecord

[Missing <param name="history"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddBrep(Rhino.Geometry.Brep,Rhino.DocObjects.ObjectAttributes,Rhino.DocObjects.HistoryRecord,System.Boolean,System.Boolean)"]

reference
Type: SystemBoolean

[Missing <param name="reference"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddBrep(Rhino.Geometry.Brep,Rhino.DocObjects.ObjectAttributes,Rhino.DocObjects.HistoryRecord,System.Boolean,System.Boolean)"]

splitKinkySurfaces
Type: SystemBoolean

[Missing <param name="splitKinkySurfaces"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddBrep(Rhino.Geometry.Brep,Rhino.DocObjects.ObjectAttributes,Rhino.DocObjects.HistoryRecord,System.Boolean,System.Boolean)"]

Return Value

Type: Guid

[Missing <returns> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddBrep(Rhino.Geometry.Brep,Rhino.DocObjects.ObjectAttributes,Rhino.DocObjects.HistoryRecord,System.Boolean,System.Boolean)"]

See Also